### Function

# GLib double_equal

since: 2.22

#### Declaration

    gboolean
    g_double_equal (
      gconstpointer v1,
      gconstpointer v2
    )

#### Description

Compares the two #gdouble values being pointed to and returns `TRUE` if they are equal. It can be passed to `g_hash_table_new()` as the `key_equal_func` parameter, when using non-`NULL` pointers to doubles as keys in a `GHashTable`.

Available since: 2.22

#### Parameters

`v1`

  Type: `gconstpointer`

  A pointer to a #gdouble key.

  The data is owned by the caller of the function.

`v2`

  Type: `gconstpointer`

  A pointer to a #gdouble key to compare with `v1`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the two keys match.